%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  cyphr
%global packver   1.1.7
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.7
Release:          1%{?dist}%{?buildtag}
Summary:          High Level Encryption Wrappers

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-sodium >= 1.2.1
BuildRequires:    R-CRAN-openssl >= 0.9.9
BuildRequires:    R-CRAN-getPass 
Requires:         R-CRAN-sodium >= 1.2.1
Requires:         R-CRAN-openssl >= 0.9.9
Requires:         R-CRAN-getPass 

%description
Encryption wrappers, using low-level support from 'sodium' and 'openssl'.
'cyphr' tries to smooth over some pain points when using encryption within
applications and data analysis by wrapping around differences in function
names and arguments in different encryption providing packages.  It also
provides high-level wrappers for input/output functions for seamlessly
adding encryption to existing analyses.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
